Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class AudioFloatFormatConverter

    java.lang.Object
      javax.sound.sampled.spi.FormatConversionProvider
          com.sun.media.sound.AudioFloatFormatConverter

    public class AudioFloatFormatConverter

extends javax.sound.sampled.spi.FormatConversionProvider

This class is used to convert between 8,16,24,32 bit signed/unsigned big/litle endian fixed/floating stereo/mono/multi-channel audio streams and perform sample-rate conversion if needed.

Author:
  Karl Helgason

Constructor Summary
`AudioFloatFormatConverter()`

Method Summary
`javax.sound.sampled.AudioInputStream` | `getAudioInputStream(javax.sound.sampled.AudioFormat.Encoding targetEncoding, javax.sound.sampled.AudioInputStream sourceStream)`
`javax.sound.sampled.AudioInputStream` | `getAudioInputStream(javax.sound.sampled.AudioFormat targetFormat, AudioFloatInputStream sourceStream)`
`javax.sound.sampled.AudioInputStream` | `getAudioInputStream(javax.sound.sampled.AudioFormat targetFormat, javax.sound.sampled.AudioInputStream sourceStream)`
`javax.sound.sampled.AudioFormat.Encoding[]` | `getSourceEncodings()`
`javax.sound.sampled.AudioFormat.Encoding[]` | `getTargetEncodings()`
`javax.sound.sampled.AudioFormat.Encoding[]` | `getTargetEncodings(javax.sound.sampled.AudioFormat sourceFormat)`
`javax.sound.sampled.AudioFormat[]` | `getTargetFormats(javax.sound.sampled.AudioFormat.Encoding targetEncoding, javax.sound.sampled.AudioFormat sourceFormat)`
`boolean` | `isConversionSupported(javax.sound.sampled.AudioFormat.Encoding targetEncoding, javax.sound.sampled.AudioFormat sourceFormat)`
`boolean` | `isConversionSupported(javax.sound.sampled.AudioFormat targetFormat, javax.sound.sampled.AudioFormat sourceFormat)`

Methods inherited from class javax.sound.sampled.spi.FormatConversionProvider
`isSourceEncodingSupported, isTargetEncodingSupported`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AudioFloatFormatConverter

    public AudioFloatFormatConverter()

Method Detail

### getAudioInputStream

    public javax.sound.sampled.AudioInputStream getAudioInputStream(javax.sound.sampled.AudioFormat.Encoding targetEncoding,
                                                                    javax.sound.sampled.AudioInputStream sourceStream)

  Specified by:
    `getAudioInputStream` in class `javax.sound.sampled.spi.FormatConversionProvider`

### getAudioInputStream

    public javax.sound.sampled.AudioInputStream getAudioInputStream(javax.sound.sampled.AudioFormat targetFormat,
                                                                    javax.sound.sampled.AudioInputStream sourceStream)

  Specified by:
    `getAudioInputStream` in class `javax.sound.sampled.spi.FormatConversionProvider`

### getAudioInputStream

    public javax.sound.sampled.AudioInputStream getAudioInputStream(javax.sound.sampled.AudioFormat targetFormat,
                                                                    AudioFloatInputStream sourceStream)

### getSourceEncodings

    public javax.sound.sampled.AudioFormat.Encoding[] getSourceEncodings()

  Specified by:
    `getSourceEncodings` in class `javax.sound.sampled.spi.FormatConversionProvider`

### getTargetEncodings

    public javax.sound.sampled.AudioFormat.Encoding[] getTargetEncodings()

  Specified by:
    `getTargetEncodings` in class `javax.sound.sampled.spi.FormatConversionProvider`

### getTargetEncodings

    public javax.sound.sampled.AudioFormat.Encoding[] getTargetEncodings(javax.sound.sampled.AudioFormat sourceFormat)

  Specified by:
    `getTargetEncodings` in class `javax.sound.sampled.spi.FormatConversionProvider`

### getTargetFormats

    public javax.sound.sampled.AudioFormat[] getTargetFormats(javax.sound.sampled.AudioFormat.Encoding targetEncoding,
                                                              javax.sound.sampled.AudioFormat sourceFormat)

  Specified by:
    `getTargetFormats` in class `javax.sound.sampled.spi.FormatConversionProvider`

### isConversionSupported

    public boolean isConversionSupported(javax.sound.sampled.AudioFormat targetFormat,
                                         javax.sound.sampled.AudioFormat sourceFormat)

  Overrides:
    `isConversionSupported` in class `javax.sound.sampled.spi.FormatConversionProvider`

### isConversionSupported

    public boolean isConversionSupported(javax.sound.sampled.AudioFormat.Encoding targetEncoding,
                                         javax.sound.sampled.AudioFormat sourceFormat)

  Overrides:
    `isConversionSupported` in class `javax.sound.sampled.spi.FormatConversionProvider`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD